---
- id: 2ca64acd-dc12-4cc8-b78a-6a182508a50b
  name: Inoculate C2
  description: Reroute suspicious IP addresses to localhost by editing hosts file
  tactic: response
  technique:
    attack_id: x
    name: x
  platforms:
    linux:
      sh:
        command: |
          if ! test -f hosts_backup; then cp /etc/hosts hosts_backup; fi;
          echo "127.0.0.1    #{remote.suspicious.url}" >> /etc/hosts;
        cleanup: |
          mv -f hosts_backup /etc/hosts
    darwin:
      sh:
        command: |
          if ! test -f hosts_backup; then cp /etc/hosts hosts_backup; fi;
          echo "127.0.0.1    #{remote.suspicious.url}" >> /etc/hosts;
        cleanup: |
          mv -f hosts_backup /etc/hosts
    windows:
      psh:
        command: |
          if -not (Test-Path -Path .\hosts_backup) { Copy-Item -Path c:\windows\system32\drivers\etc\hosts -Destination .\hosts_backup; };
          Add-Content c:\windows\system32\drivers\etc\hosts "127.0.0.1`t#{remote.suspicious.url}";
        cleanup: |
          Move-Item -Path .\hosts_backup -Destination c:\windows\system32\drivers\etc\hosts -Force